Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.schema
Class TraverseSchema.ComplexTypeInfo

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.TraverseSchema.ComplexTypeInfo

public class TraverseSchema.ComplexTypeInfo
extends java.lang.Object

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`int` | `attlistHead`
`TraverseSchema.ComplexTypeInfo` | `baseComplexTypeInfo`
`DatatypeValidator` | `baseDataTypeValidator`
`int` | `blockSet`
`int` | `contentSpecHandle`
`int` | `contentType`
`DatatypeValidator` | `datatypeValidator`
`int` | `derivedBy`
`int` | `finalSet`
`boolean` | `isAbstract`
`int` | `scopeDefined`
`int` | `templateElementIndex`
`java.lang.String` | `typeName`

Constructor Summary
`TraverseSchema.ComplexTypeInfo()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeName

    public java.lang.String typeName

### baseDataTypeValidator

    public DatatypeValidator baseDataTypeValidator

### baseComplexTypeInfo

    public TraverseSchema.ComplexTypeInfo baseComplexTypeInfo

### derivedBy

    public int derivedBy

### blockSet

    public int blockSet

### finalSet

    public int finalSet

### isAbstract

    public boolean isAbstract

### scopeDefined

    public int scopeDefined

### contentType

    public int contentType

### contentSpecHandle

    public int contentSpecHandle

### templateElementIndex

    public int templateElementIndex

### attlistHead

    public int attlistHead

### datatypeValidator

    public DatatypeValidator datatypeValidator

Constructor Detail

### TraverseSchema.ComplexTypeInfo

    public TraverseSchema.ComplexTypeInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD